Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences.annotation
Class ReferenceSequenceAnnotation

    java.lang.Object
      de.jstacs.results.ResultSet
          de.jstacs.data.sequences.annotation.SequenceAnnotation
              de.jstacs.data.sequences.annotation.ReferenceSequenceAnnotation

All Implemented Interfaces:
  Storable

    public class ReferenceSequenceAnnotation

extends SequenceAnnotation

This class implements a `SequenceAnnotation` that contains a reference sequence. This sequence can be obtained using the method `getReferenceSequence()`.

Author:
  Jan Grau

Field Summary
`static String` | `TYPE` The type of a `ReferenceSequenceAnnotation`.

Fields inherited from class de.jstacs.results.ResultSet
`results`

Constructor Summary
`ReferenceSequenceAnnotation(StringBuffer representation)` The standard constructor for the interface `Storable`.
`ReferenceSequenceAnnotation(String identifier, Sequence ref, Result... results)` Creates a new `ReferenceSequenceAnnotation` with identifier `identifier`, reference sequence `ref`, and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as a `Result` `result`.

Method Summary
`Sequence` | `getReferenceSequence()` Returns the reference sequence.
`String` | `toString()`
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.data.sequences.annotation.SequenceAnnotation
`fromXML, getAnnotations, getIdentifier, getSubAnnotations, getType`

Methods inherited from class de.jstacs.results.ResultSet
`findColumn, getNumberOfResults, getResultAt, getResultForName, getResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final String TYPE

  The type of a `ReferenceSequenceAnnotation`.

  See Also:
    `SequenceAnnotation.getType()`, Constant Field Values

Constructor Detail

### ReferenceSequenceAnnotation

    public ReferenceSequenceAnnotation(String identifier,
                                       Sequence ref,
                                       Result... results)

  Creates a new `ReferenceSequenceAnnotation` with identifier `identifier`, reference sequence `ref`, and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as a `Result` `result`.

  Parameters:
    `identifier` - the identifier of the annotation
    `ref` - the reference sequence
    `results` - the additional annotation
  See Also:
    `ResultSet.ResultSet(Result)`

### ReferenceSequenceAnnotation

    public ReferenceSequenceAnnotation(StringBuffer representation)
                                throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `ReferenceSequenceAnnotation` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `ReferenceSequenceAnnotation` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `SequenceAnnotation.SequenceAnnotation(StringBuffer)`, `Storable`

Method Detail

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Overrides:
    `toXML` in class `SequenceAnnotation`
  Returns:
    the XML representation

### toString

    public String toString()

  Overrides:
    `toString` in class `SequenceAnnotation`

### getReferenceSequence

    public Sequence getReferenceSequence()

  Returns the reference sequence.

  Returns:
    the reference sequence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD